<template>
  <div class="white-block">
    <div class="padding">
      <h3>Личные данные</h3>
    </div>
    <hr/>
    <div class="padding">
      <first-last-middle-name ref="InitialsOfUser"></first-last-middle-name>
      <birthday ref="bDay"></birthday>
    </div>

  </div>
</template>

<script>
  import FirstLastMiddleName from './FirstLastMiddleName'
  import Birthday from './Birthday'
  import UserMountedMixin from '@/mixins/UserMountedMixin'
  import UserWatchMixin from '@/mixins/UserWatchMixin'
  import ErrorHandleMixin from '@/mixins/ErrorHandleMixin'
  import UserErrorText from '@/mixins/User/UserErrorTextMixin'

  export default {
    mixins: [
      UserWatchMixin,
      UserMountedMixin,
      ErrorHandleMixin,
      UserErrorText
    ],
    components: {
      Birthday,
      FirstLastMiddleName
    }
  }
</script>

<style scoped lang="scss">
  .disabled {
    color: darkGray
  }
</style>
